Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 668066 - dev-python/pyldap - Deprecate and remove
Summary: dev-python/pyldap - Deprecate and remove
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2019-05-14
Assignee: Python Gentoo Team
URL: https://github.com/pyldap/pyldap/blob...
Whiteboard:
Keywords: PMASKED
Depends on: 680432 680430
Blocks:
  Show dependency tree
 
Reported: 2018-10-08 16:40 UTC by Brian Evans
Modified: 2019-05-15 20:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-10-08 16:40:44 UTC
dev-python/pyldap has been integrated into dev-python/python-ldap-3.0 and declared a deprecated fork by upstream.

Please prepare this package's two consumers to use the new version and schedule for removal.

dev-python/mockldap
sys-auth/ssh-ldap-pubkey

Thanks
Comment 1 Larry the Git Cow gentoo-dev 2018-10-10 14:46:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3e43024b7416c4af894184be488eeef7b7ce701

commit a3e43024b7416c4af894184be488eeef7b7ce701
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2018-10-10 14:45:32 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2018-10-10 14:45:32 +0000

    dev-python/mockldap: Version bump for 0.3.0
    
    Non-maintainer commit reviewed by python team
    One patch modified to p1 header format for easier application
    
    Bug: https://bugs.gentoo.org/668066
    Signed-off-by: Brian Evans <grknight@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/mockldap/Manifest                  |  1 +
 dev-python/mockldap/files/mapping.patch       |  4 +--
 dev-python/mockldap/files/python-ldap-3.patch | 47 +++++++++++++++++++++++++
 dev-python/mockldap/mockldap-0.3.0.ebuild     | 50 +++++++++++++++++++++++++++
 4 files changed, 100 insertions(+), 2 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2018-10-25 17:33:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2220bb3098a2c45f750b6315a02fe384d276b01e

commit 2220bb3098a2c45f750b6315a02fe384d276b01e
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2018-10-25 17:33:34 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2018-10-25 17:33:34 +0000

    sys-auth/ssh-ldap-pubkey: Revbump to change dependency
    
    Non-maintainer commit
    pyldap is now part of python-ldap-3.0 and deprecated as a project
    
    Tests pass
    
    Bug: https://bugs.gentoo.org/668066
    Signed-off-by: Brian Evans <grknight@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 .../ssh-ldap-pubkey-1.3.0-r1.ebuild                | 69 ++++++++++++++++++++++
 1 file changed, 69 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2019-04-14 07:06:28 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f4dc57a74af7912212a0aab1e5586ba564d0192

commit 8f4dc57a74af7912212a0aab1e5586ba564d0192
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-04-14 07:06:08 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-04-14 07:06:08 +0000

    package.mask: Last rite dev-python/pyldap
    
    Bug: https://bugs.gentoo.org/668066
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2019-05-15 20:41:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b09c4a892f6e12b39f31a832fbcb429112cebb2b

commit b09c4a892f6e12b39f31a832fbcb429112cebb2b
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-05-15 20:35:56 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-05-15 20:41:23 +0000

    dev-python/pyldap: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/668066
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/pyldap/Manifest             |  1 -
 dev-python/pyldap/metadata.xml         | 12 ------
 dev-python/pyldap/pyldap-2.4.37.ebuild | 76 ----------------------------------
 profiles/package.mask                  |  6 ---
 4 files changed, 95 deletions(-)